org.kie.internal.builder

## Interface DecisionTableConfiguration

- All Superinterfaces:
    org.kie.api.io.ResourceConfiguration

      public interface DecisionTableConfiguration
      extends org.kie.api.io.ResourceConfiguration

  ResourceConfiguration for decision tables. It allows for the type of the decision, XLS or CSV, to be specified and optionally allows a worksheet name to also be specified.

  Simple example showing how to build a KnowledgeBase from an XLS resource.

       KnowledgeBuilder kbuilder = KnowledgeBuilderFactory.newKnowledgeBuilder();
       DecisionTableConfiguration dtconf = KnowledgeBuilderFactory.newDecisionTableConfiguration();
       dtconf.setInputType( DecisionTableInputType.XLS );
       dtconf.setWorksheetName( "Tables_2" );
       kbuilder.add( ResourceFactory.newUrlResource( "file://IntegrationExampleTest.xls" ),
                     ResourceType.DTABLE,
                     dtconf );
       assertFalse( kbuilder.hasErrors() );
       KnowledgeBase kbase = KnowledgeBaseFactory.newKnowledgeBase();

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addRuleTemplateConfiguration(org.kie.api.io.Resource template, int row, int col)`
    `DecisionTableInputType` | `getInputType()`
    `List<RuleTemplateConfiguration>` | `getRuleTemplateConfigurations()`
    `String` | `getWorksheetName()`
    `void` | `setInputType(DecisionTableInputType inputType)` Specify the type of decision table resource, currently either XLS or CSV.
    `void` | `setWorksheetName(String name)` Which named xls worksheet should be used.

    - ### Methods inherited from interface org.kie.api.io.ResourceConfiguration

      `fromProperties, toProperties`

- - ### Method Detail

    - #### setInputType

          void setInputType(DecisionTableInputType inputType)

      Specify the type of decision table resource, currently either XLS or CSV. This parameter is mandatory.
      Parameters:
        `inputType` -

    - #### getInputType

          DecisionTableInputType getInputType()

    - #### setWorksheetName

          void setWorksheetName(String name)

      Which named xls worksheet should be used. This parameter is optional, and a default worksheet will be used if not specified.
      Parameters:
        `name` -

    - #### getWorksheetName

          String getWorksheetName()

    - #### addRuleTemplateConfiguration

          void addRuleTemplateConfiguration(org.kie.api.io.Resource template,
                                            int row,
                                            int col)

    - #### getRuleTemplateConfigurations

          List<RuleTemplateConfiguration> getRuleTemplateConfigurations()

Copyright © 2001–2019 JBoss by Red Hat. All rights reserved.